#include <LPC214x.h> 		// Define LPC2148 Header File 
 
#define led IOPIN0 			// Define LED to Port0
#define tled IODIR0 		// Define Port0 as output

void delay(unsigned int x);

void initialise(void)
{
		
			PLL0CFG &= 0xE0;    // Reset MSEL0:4
			PLL0CFG |= 0x04;    // MSEL(PLL Multiply) = 3
			PLL0CFG &= 0x9F;    // Reset PSEL0:1
			PLL0CFG |= 0x20;    // PSEL(PLL Devide) = 2
			PLL0CON &= 0xFC;    // Reset PLLC,PLLE
			PLL0CON |= 0x01;    // PLLE = 1 = Enable PLL

			PLL0FEED = 0xAA;    // Start Update PLL Config
			PLL0FEED = 0x55;
			while (!(PLL0STAT & 0x00000400));  // Wait PLL Lock bit
			PLL0CON |= 0x02;    // PLLC = 1 (Connect PLL Clock)
			PLL0FEED = 0xAA;     // Start Update PLL Config
			PLL0FEED = 0x55;
			VPBDIV &= 0xFC;    // Reset VPBDIV
			VPBDIV |= 0x01;    // VPB Clock(pclk) = cclk / 1
			// End of Initial PLL for Generate Processor Clock

			// Start of Initial MAM Function
			MAMCR = 0x00;     // Disable MAM Function
			MAMTIM = 0x03;     // MAM Timing = 3 Cycle of cclk
			MAMCR = 0x02;     // Enable MAM = Full Function
		
}

int main() 
{ 
	

	PINSEL2 = 0x00000000; // Define port lines as GPIO 
	tled = 0x00FF0000; // Define P1.16  P1.23 as O/P 
	led = 0x00ff0000; // Define P1.16  P1.23 as zero 
	initialise();
	
	while(1) // Loop forever
	{ 
				delay(0x1FFF);
		
				led = (~led)&0x00ff0000; // Turn ON P1.16  P1.23 
			
			
	}
	
} 
	
void delay(unsigned int x) 
{ 
		unsigned int k,l; 
		for(k = 0;k<x;k++)
		{
			for(l = 0;l <8002;l++);
		}
}

